<?xml version="1.0" encoding="utf-8" ?>
<AppGui xmlns="AppGuiSchema">

<!-- This script contains the panel used as the Photos tab for the Poster screen -->

	<Layout name="PosterPhotosTab">	
		<Container type="AppPanel" name = "SelectedPanel">
			<Properties>
				<Property name="Size" type="Size">300,420</Property>
				<ComplexProperty name="BackgroundGradient" type="Gradient" resourceID="GradientTable.LEFTBACKGROUNDGRADIENT"/>
				<Property name="DoubleBuffer" type="Bool">False</Property>
			</Properties>
			<Controls>																			
			</Controls>
			<SubContainers>

				<Container type="PanelStack" name="PosterSettingsPanelStack">
					<Properties>
						<Property name="Size" type="Size">300,258</Property>
						<Property name="Location" type="Point">0,162</Property>
						<Property name="Visible" type="Bool">True</Property>
						<Property name="Dock" type="DockStyle">Fill</Property>						
						<Property name="BorderStyle" type="BorderStyle">None</Property>
						<Property name="SelectedPanelName" type="String">PosterThumbnailHolderPanel</Property>
						<ComplexProperty name="BackgroundGradient" type="Gradient" resourceID="GradientTable.LEFTBACKGROUNDGRADIENT"/>
					</Properties>
					<Controls/>
					<SubContainers>
						<Container type="AppPanel" name="PosterThumbnailHolderPanel" externalName="PosterPhotosTab.PosterThumbnailHolderPanel" scriptName="PosterPhotosTab.xml"/>
						<Container type="AppPanel" name="PosterFilmStripPanel" externalName="PosterPhotosTab.PosterFilmStripPanel" scriptName="PosterPhotosTab.xml"/> 
					</SubContainers>
				</Container>
			</SubContainers>
		</Container>

		<!-- Standard Photos tab -->
				<Container type="AppPanel" name="PosterThumbnailHolderPanel">
					<Properties>
						<Property name="Size" type="Size">300,258</Property>
						<Property name="Location" type="Point">0,162</Property>
						<Property name="Dock" type="DockStyle">Fill</Property>
						<ComplexProperty name="BackgroundGradient" type="Gradient" resourceID="GradientTable.LEFTBACKGROUNDGRADIENT"/>
						<Property name="DoubleBuffer" type="Bool">False</Property>
					</Properties>
					<Controls>																
					</Controls>
					<SubContainers>
					<Container type="ThumbnailListCtrl" name="PosterThumbnailListCtrl">
							<Properties>
								<Property name="ZOrder" type="Int">0</Property>
								<Property name="Location" type="Point">0,0</Property>
								<Property name="Dock" type="DockStyle">Fill</Property>
								<Property name="Scrollbar" type="ScrollBars">Vertical</Property>
								<Property name="ItemViewStyle" type="ViewStyle">Large</Property>
								<Property name="SaveViewStyle" type="Bool">True</Property>
								<Property name="SaveDisplayText" type="Bool">True</Property>
								<Property name="Multiselect" type="Bool">False</Property>
								<Property name="BorderStyle" type="BorderStyle">None</Property>
								<ComplexProperty name="SelectionBoxColor" type="Color" resourceID="ThumbnailListCtrlColorTable.SELECTIONBOXCOLOR"/>
								<ComplexProperty name="SelectionBoxBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.SELECTIONBOXBORDERCOLOR"/>
								<ComplexProperty name="BackColor" type="Color" resourceID="ThumbnailListCtrlColorTable.BACKCOLOR"/>
								<ComplexProperty name="DefaultItemProperties" type="ThumbnailCtrl">
									<Properties>
										<ComplexProperty name="BackColor" type="Color" resourceID="ThumbnailListCtrlColorTable.BACKCOLOR"/>
										<ComplexProperty name="SelectedBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR"/>
										<ComplexProperty name="HighlightBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR"/>
										<Property name="DefaultThumbnailImage" type="Image">WaitIcon.bmp</Property>
										<Property name="SelectedEffect" type="SelectedEffectStyle">SelectedBorder</Property>
										<Property name="HighlightEffect" type="HighlightEffectStyle">Border</Property>
									</Properties>
								</ComplexProperty>
                                <ComplexProperty name="DragDropInfo" type="DragDropInfo">
                                    <Properties>
                                        <Property name="AllowDrag" type="Bool">True</Property>
                                        <Property name="AllowedEffects" type="DragDropEffects">Copy</Property>
                                        <Property name="DataSource" type="String">DraggedItems</Property>
                                    </Properties>
                                </ComplexProperty>
							</Properties>
							<Controls/>
					</Container>

				
				<!-- Splitter used between top and bottom panels -->
				<!-- Note that a splitter is not really a container, but it is defined
				as such so that it can be properly positioned in the z-order between
				the top and bottom panels -->
				<Container type="AppSplitter" name="PosterPhotoSplitter">
					<Properties>
						<Property name="Size" type="Size">10,300</Property>
						<Property name="Dock" type="DockStyle">Top</Property>
						<Property name="MinSize" type="Int">80</Property>
						<Property name="MinExtra" type= "Int">80</Property>
						<Property name="ImagePositionFixed" type="Bool">False</Property>
						<Property name="ImagePosition" type= "ContentAlignment">MiddleCenter</Property>
						<Property name="ImageUp" type= "Image">VSplitterHandle_reg.png</Property>
						<Property name="ImageDown" type= "Image">VSplitterHandle_down.png</Property>
						<Property name="ImageHover" type= "Image">VSplitterHandle_over.png</Property>
						<Property name="SaveSplitterLocation" type="Bool">True</Property>
						<ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR"/>
					</Properties>
				</Container>

				<Container type="AppPanel" name="PosterFolderTreePanel">
					<Properties>
						<Property name="Size" type="Size">300,155</Property>
						<Property name="Location" type="Point">2,4</Property>
						<Property name="Dock" type="DockStyle">Top</Property>
						<ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.BACKCOLOR"/>
					</Properties>
					<Controls>
						<Control type="FolderTree" name="PosterFolderTree">
  							<Properties>
								<Property name="Dock" type="DockStyle">Fill</Property>
								<ComplexProperty name="Font" type="Font" resourceID="CommonFonts.STANDARDFONT"/>
								<ComplexProperty name="TextColor" type="Color" resourceID="CommonColors.STANDARDTEXTCOLOR"/>
								<Property name="BorderStyle" type="BorderStyle">None</Property>
								<ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.WHITE"/>
								<Property name="ShowNetworkDrives" type="Bool">True</Property>
								<Property name="ShowMyNetworkPlaces" type="Bool">True</Property>
								<Property name="ShowRemovableDrives" type="Bool">True</Property>
							</Properties>
						</Control> 
					</Controls>
				</Container>

			</SubContainers>
		</Container>
		<!-- End of Standard Photos tab -->

		<!-- FilmStrip Photos tab -->
		<Container type="AppPanel" name="PosterFilmStripPanel">
			<Properties>
				<Property name="Size" type="Size">300,258</Property>
				<Property name="Location" type="Point">0,162</Property>
				<Property name="Dock" type="DockStyle">Fill</Property>
				<ComplexProperty name="BackgroundGradient" type="Gradient" resourceID="GradientTable.LEFTBACKGROUNDGRADIENT"/>
				<Property name="DoubleBuffer" type="Bool">False</Property>
			</Properties>
			<Controls>		
				<Control type="FilmStrip" name="PosterFilmStrip">
							<Properties>
								<Property name="Dock" type="DockStyle">Fill</Property>
								<Property name="BorderStyle" type="BorderStyle">None</Property>
								<ComplexProperty name="BackColor" type="Color" resourceID="CommonColors.WHITE"/>
								<ComplexProperty name="ContextMenu" type="ContextMenu">	
								<Properties>
                  <ComplexProperty name="Font" type="Font" resourceID="ContextMenuFontTable.UNSELECTED_MENU_FONT"/>
                  <ComplexProperty name="BackColor" type="Color" resourceID="ContextMenuColorTable.BACKGROUNDCOLOR"/>
                  <ComplexProperty name="HighlightBorderColor" type="Color" resourceID="ContextMenuColorTable.SELECTEDBORDERCOLOR"/>
                  <ComplexProperty name="HighlightBackColor" type="Color" resourceID="ContextMenuColorTable.HOVERBACKGROUNDCOLOR"/>
                  <ComplexProperty type="List" name="MenuItems">
										<Properties>
												<ComplexProperty type="MenuItem" name="MenuItem1">
													<Properties>
														<Property type="String" name="Text" resourceID="PosterTable.PASTE"/>
														<Property type="String" name="Name">Paste</Property>
														<Property type="Int" name="Index">0</Property>
													</Properties>
												</ComplexProperty>
										</Properties>
								</ComplexProperty>	
								</Properties>
								</ComplexProperty>										
								<ComplexProperty type="MenuImageButton" name="Button">
									<Properties>
										<Property type="Image" name="ImageUp">Grey_SM_Norm.png</Property>
										<Property type="Image" name="ImageDown">Grey_SM_down.png</Property>
										<Property type="Image" name="ImageHover">Grey_SM_over.png</Property>
										<Property type="Size" name="Size">101,36</Property>
										<Property type="String" name="Text" resourceID="PosterTable.ADD"/>
										<ComplexProperty name="Font" type="Font" resourceID="ImageButtonFontTable.NORMALFONT"/>
										<ComplexProperty name="BackColor" type="Color" resourceID="ImageButtonColorTable.BACKCOLOR"/>
										<ComplexProperty name="TextDisabledColor" type="Color" resourceID="ImageButtonColorTable.TEXTDISABLEDCOLOR"/>
										<ComplexProperty name="ForeColor" type="Color" resourceID="ImageButtonColorTable.FORECOLOR"/>											
										<ComplexProperty name="Menu" type="MenuForm" externalName="PosterToolBarMenus.PosterFilmstripMenuForm" scriptName="PosterToolBarMenus.xml"/>	
										<Property name="UseRegionRect" type="Bool">True</Property>
										<Property name="ShowMenuAbove" type="Bool">False</Property>
									</Properties>
								</ComplexProperty>	
								<ComplexProperty type="ThumbnailListCtrl" name="List">
									<Properties>
										<Property name="BorderStyle" type="BorderStyle">None</Property>
										<Property name="ItemViewStyle" type="ViewStyle">Small</Property>
										<ComplexProperty type="ThumbnailCtrl" name="DefaultItemProperties">
											<Properties>
												<ComplexProperty name="BackColor" type="Color" resourceID="ThumbnailListCtrlColorTable.BACKCOLOR"/>
												<Property name="SelectedEffect" type="SelectedEffectStyle">SelectedBorder</Property>
												<ComplexProperty name="SelectedBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR"/>
												<ComplexProperty name="HighlightBorderColor" type="Color" resourceID="ThumbnailListCtrlColorTable.THUMBNAILBORDERCOLOR"/>
                        <Property name="DefaultThumbnailImage" type="Image">WaitIcon.bmp</Property>
                        <ComplexProperty name="ContextMenu" type="ContextMenu">	
													<Properties>
                            <ComplexProperty name="Font" type="Font" resourceID="ContextMenuFontTable.UNSELECTED_MENU_FONT"/>
                            <ComplexProperty name="BackColor" type="Color" resourceID="ContextMenuColorTable.BACKGROUNDCOLOR"/>
                            <ComplexProperty name="HighlightBorderColor" type="Color" resourceID="ContextMenuColorTable.SELECTEDBORDERCOLOR"/>
                            <ComplexProperty name="HighlightBackColor" type="Color" resourceID="ContextMenuColorTable.HOVERBACKGROUNDCOLOR"/>
                            <ComplexProperty type="List" name="MenuItems">
															<Properties>
																<ComplexProperty type="MenuItem" name="PosterFilmStripMenuItem0">
																	<Properties>
																		<Property type="String" name="Text" resourceID="PosterTable.CUT"/>
																		<Property type="String" name="Name">Cut</Property>
																		<Property type="Int" name="Index">1</Property>
																		<Property type="Bool" name="Enabled">True</Property>
																	</Properties>
																</ComplexProperty>
																<ComplexProperty type="MenuItem" name="PosterFilmStripMenuItem1">
																	<Properties>
																		<Property type="String" name="Text" resourceID="PosterTable.COPY"/>
																		<Property type="String" name="Name">Copy</Property>
																		<Property type="Int" name="Index">2</Property>
																		<Property type="Bool" name="Enabled">True</Property>
																	</Properties>
																</ComplexProperty>
																<ComplexProperty type="MenuItem" name="PosterFilmStripMenuItem2">
																	<Properties>
																		<Property type="String" name="Text" resourceID="PosterTable.REMOVE"/>
																		<Property type="String" name="Name">Remove</Property>
																		<Property type="Int" name="Index">3</Property>
																		<Property type="Bool" name="Enabled">True</Property>
																	</Properties>
																</ComplexProperty>														
															</Properties>
														</ComplexProperty>	
													</Properties>
												</ComplexProperty>
												
											</Properties>
										</ComplexProperty>
										<Property name="Multiselect" type="Bool">False</Property>
                                        <ComplexProperty name="DragDropInfo" type="DragDropInfo">
                                            <Properties>
                                                <Property name="AllowDrag" type="Bool">True</Property>
                                                <Property name="AllowedEffects" type="DragDropEffects">Copy</Property>
                                                <Property name="DataSource" type="String">DraggedItems</Property>
                                            </Properties>
                                        </ComplexProperty>
									</Properties>
								</ComplexProperty>
							</Properties>
						</Control>														
			</Controls>
			<SubContainers/>
		</Container>
		<!-- End of FilmStrip Photos tab -->

	</Layout>
</AppGui>	